Toposław 2.0 is a tool that facilitates creation of electronic inflectional dictionaries of multi-word units. It is developed at the Institute of Computer Science, Polish Academy of Sciences, Warsaw.

Toposław 2.0 homepage: http://zil.ipipan.waw.pl/Toposlaw2/
Previous version's homepage: http://zil.ipipan.waw.pl/Toposlaw/

Author: Piotr Sikora [piotr.sikora@student.uw.edu.pl]

===== Credits =====

The program is based on ideas and work of:
Agata Savary, Marcin Woliński, Małgorzata Marciniak, Joanna Rabiega-Wiśniewska, Celina Heliasz

Toposław makes use of following libraries and other software (listed with their authors and copyright holders):
*Morfeusz 2 by Marcin Woliński, containing linguistic data by Zygmunt Saloni, Włodzimierz Gruszczyński, Marcin Woliński, Robert Wołosz and Danuta Skowrońska.
*Multiflex by Agata Savary
*Unitex by Sébastien Paumier and other contributors
*db4o by Versant

===== Licenses =====

Toposław is distributed under the conditions of GNU General Public License version 3 (full text of the license is distributed in a separate file).

Libraries and other software used by Toposław are distributed under the conditions of following licenses (full text of each license is distributed in other files):
*Morfeusz 2: the so called 2-clause BSD License
*Multiflex: GNU Lesser General Public License
*Unitex: GNU Lesser General Public License
*db4o: GNU General Public License

===== Requirements ===== 
Toposław is available on Linux and Windows (both 32- and 64-bit) and requires Java Runtime Environment (version 8).

=====  Standards for representation of linguistic information ===== 
Toposław currently uses a tagset described in: Marcin Woliński, System znaczników morfosyntaktycznych
w korpusie IPI PAN, Polonica XXII-XXIII, str. 39–55, (2003).
Toposław accepts files encoded in Unicode, containing lists of multi-word units (one MWU per line) as
input.
Toposław has multiple possible formats of output:
– XML (with custom schema)
– MULTIFLEX text files
– db4o object database

===== Installation ===== 
To install Toposław, extract it from the archive file. Then run the program using one of the following methods:
* on Windows: using the batch file Toposlaw.bat
* on Linux: using the script Toposlaw.sh
